using SqlSugar;
using System;
using System.Runtime.Serialization;

namespace SlnMesnac.Model.domain
{
    /// <summary>
    /// 基础RFID读写器信息表
    ///</summary>
    [SugarTable("base_rfidinfo"), TenantAttribute("wcs")]
    [DataContract(Name = "基础RFID读写器信息表")]
    public class BaseRfidInfo
    {
        /// <summary>
        /// 配置Id
        /// </summary>
        [SugarColumn(ColumnName = "config_id", IsPrimaryKey = true, IsIdentity = true, ColumnDescription = "配置Id")]
        public int ConfigId { get; set; }

        /// <summary>
        /// 读写器ip
        /// </summary>
        [SugarColumn(ColumnName = "equip_ip", Length = 100, ColumnDescription = "读写器ip")]
        public string? EquipIp { get; set; }

        /// <summary>
        /// 读写器端口
        /// </summary>
        [SugarColumn(ColumnName = "equip_port", Length = 50, IsNullable = true, ColumnDescription = "读写器端口")]
        public int EquipPort { get; set; }

        /// <summary>
        /// 读写器key
        /// </summary>
        [SugarColumn(ColumnName = "equip_key", Length = 100, ColumnDescription = "读写器key")]
        public string EquipKey { get; set; }

        /// <summary>
        /// 启用状态：0-启用；1-停用
        /// </summary>
        [SugarColumn(ColumnName = "is_falg", ColumnDescription = "启用状态：0-启用；1-停用")]
        public int IsFalg { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [SugarColumn(ColumnName = "remark", Length = 300, IsNullable = true, ColumnDescription = "备注")]
        public string? Remark { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnName = "create_time", ColumnDescription = "创建时间")]
        public DateTime? CreateTime { get; set; }

        /// <summary>
        /// 是否在线:0-离线；1-在线
        /// </summary>
        [SugarColumn(ColumnName = "is_online")]
        public int IsOnline { get; set; }

        /// <summary>
        /// 设备名称
        /// </summary>
        [SugarColumn(ColumnName = "equip_name", Length = 100, IsNullable = true, ColumnDescription = "设备名称")]
        public string? EquipName { get; set; }

        /// <summary>
        /// 机台代码
        /// </summary>
        [SugarColumn(ColumnName = "machine_code", Length = 50, IsNullable = true, ColumnDescription = "机台代码")]
        public string? MachineCode { get; set; }
    }
}